#ifndef __View_H__
#define __View_H__


#include "BitmapWell.h"
#include "BitmapDisplay.h"

#include <View.h>
#include <TextControl.h>
#include <RadioButton.h>
#include <Path.h>


#define T_MINI_X_DEFAULT 4
#define T_MINI_Y_DEFAULT 14

#define T_LARGE_X_DEFAULT -5
#define T_LARGE_Y_DEFAULT 10


enum {
	T_BLEND				=	'tBLN',
	
	T_BLENDEE_CHANGED	=	'tBEC',
	T_BLENDER_CHANGED	=	'tBRC',
	
	T_X_CHANGED			=	'tXCD',
	T_Y_CHANGED			=	'tYCD',
	
	T_ICON_MODE_CHANGED	=	'tIMC'
};

enum {
	T_MINI_ICON_MODE	=	1,
	T_LARGE_ICON_MODE
};

class IView : public BView
{
public: // Constructors
							IView( BRect frame, const char *name,
									uint32 resizingMode, uint32 flags );			
	virtual					~IView();

	status_t				Blend();
	
	void					SetPosition(int x, int y);
	
	void					SavePrefs(void);
	void					LoadPrefs(void);
	void					LoadDefaults(void);

protected:	
	virtual void 			AttachedToWindow(void);
	virtual void 			MessageReceived(BMessage *message);

	virtual void 			MouseDown(BPoint point);


private:
	int8					mIconMode;
	IBitmapWell			*	mBlendeeWell,
						*	mBlenderWell;
	IBitmapDisplay		*	mDisplay,
						*	mMidDisplay,
						*	mMiniDisplay;
	BPoint					mPosition;
	BTextControl		*	mXControl,
						*	mYControl;
	BRadioButton		*	mLargeRadio,
						*	mMiniRadio;
	BPath					mSettingsPath;
	bool					mDefaultRun;

};

#endif





