#include <Application.h>
#include <Window.h>
#include <Handler.h>

#include "Window.h"
#include "View.h"


//
// Constructors
//

Window::Window(	BRect rect, const char *name, window_type type,
					uint32 flags, uint32 workspaces )
		: BWindow( rect, name, type, flags, workspaces )
{
	main_view = new IView( BRect( 0, 0, rect.Width(), rect.Height() ),
							"Main IView", B_FOLLOW_ALL, B_NAVIGABLE );
							
	AddChild( main_view );

}


Window::Window( BRect rect, const char *name, window_look look,
					window_feel feel, uint32 flags, uint32 workspaces )
		: BWindow( rect, name, look, feel, flags, workspaces )
{
	main_view = new IView( BRect( 0, 0, rect.Width(), rect.Height() ),
							"Main View", B_FOLLOW_ALL, 0 );
							
	AddChild( main_view );

}

void
Window::MessageReceived( BMessage *message )
{
	switch( message->what )
	{
		case T_BLEND:
		case T_BLENDEE_CHANGED:
		case T_BLENDER_CHANGED:
		case T_X_CHANGED:
		case T_Y_CHANGED:
		case T_ICON_MODE_CHANGED:
		{
			BMessenger messy(main_view);
			messy.SendMessage(message);
		}
		
		default:
		{
			BWindow::MessageReceived(message);
			break;
		}
	}
}

bool
Window::QuitRequested( void )
{
	be_app->PostMessage( B_QUIT_REQUESTED );
	return true;
}
